Bug 149045 - Support GDM >= 2.19
Summary: Support GDM >= 2.19
Status: RESOLVED FIXED
Alias: None
Product: kdm
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdm bugs tracker
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-20 23:52 UTC by Frederik Himpe
Modified: 2008-05-19 17:30 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Use /var/run/gdm_socket instead of /tmp/.gdm_socket (401 bytes, patch)
2007-08-20 23:53 UTC, Frederik Himpe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frederik Himpe 2007-08-20 23:52:44 UTC
Version:            (using KDE KDE 3.5.7)
OS:                Linux

When using GDM 2.19 with KDE 3.5.7, the log out dialog in KDE does not show the Shutdown and Reboot options anymore. With GDM 2.18 this was no problem.

The reason is that GDM has moved its socket from /tmp/.gdm_socket to /var/run/gdm_socket. Creating a symlink makes this work again.

KDE should be adapted to detect the new path automatically. I attach a patch which probably will fix this for GDM 2.19 users. But probably KDE should rather try both possibilities.
Comment 1 Frederik Himpe 2007-08-20 23:53:16 UTC
Created attachment 21440 [details]
Use /var/run/gdm_socket instead of /tmp/.gdm_socket
Comment 2 Frederik Himpe 2007-10-07 16:21:10 UTC
*ping*

It would be nice if someone could take a look at this, as GDM 2.20 stable is out in the wild now.
Comment 3 Fernando Diaz 2007-10-11 16:44:38 UTC
This bug hit me in Debian unstable since a few days ago, when Gnome was updated to 2.20. The Ubuntu people took the short route to fixing it, see https://bugs.launchpad.net/ubuntu/+source/kdebase/+bug/64695
Comment 4 Oswald Buddenhagen 2007-11-01 23:10:45 UTC
fixed for kde 4.0 and 3.5.9.